// Sidebar skin generator
@mixin sidebar-variant($background,$color,$hover-active-color,$brand-background,$brand-color) {
    .sidebar-panel {
        background-color: $background;
        > .brand {
            background-color: $brand-background;
            a {
                color: $brand-color;
                &:active, &:focus, &:hover {
                    color: lighten($brand-color, 5%);
                }
            }
            .hamburger-icon span {
                background-color: $brand-color;
            }
            .hamburger-icon:hover span {
                background-color: $hover-active-color;
            }
        }
        > nav {
            > ul > li > ul {
                background-color: darken($background, 3%);
            }
            > ul > li.open > a,
            > ul > li.open > a:hover,
            > ul > li.open > a:focus {
                // background-color: darken($background, 5%); 
                background-color: #3949ab;
                border-left: #ff9800 solid 3px;
                padding-left: 22px;
            }

            > ul > li > a:hover,
            > ul > li.active {
                background-color: #3949ab;
            }
            li.open > a,
            li.active > a {
                color: $hover-active-color;
            }
            //self add icon color
            li.open > a > i,
            li.active > a > i,
            > ul > li > a:hover >i {
                color: #ff9800;
            }
            .open > a,
            .open > a:hover,
            .open > a:focus {
                background-color: transparent;
            }
            a {
                color: $color;
                &:active, &:hover {
                    color: $hover-active-color;
                }
                &:focus{
                    color: $color;
                }
            }
        }
    }
    .quick-launch-panel {
        background: $background;
        .close {
            background: darken($background, 10%);
            color: $color;
        }
        a {
            color: $color;
            &:hover {
                color: $hover-active-color;
            }
        }
    }
    @media screen and (min-width: $screen-sm-min) {
        .small-menu .sidebar-panel > nav li.open {
            background-color: darken($background, 2%);
        }
        .small-menu .sidebar-panel nav > ul > li > .sub-menu {
            background-color: darken($background, 2%);
        }
    }
}

// Header skin generator
@mixin header-variant($background,$hover-active-background,$color,$hover-active-color) {
    .main-panel > .header {
        background-color: $background;
        .navbar-text {
            color: $color;
        }
        .nav > li > a {
            color: $color;
        }
        .nav > li > a:hover,
        .nav > li > a:focus {
            background-color: $hover-active-background;
            color: $hover-active-color;
        }
        .nav .open > a,
        .nav .open > a:hover,
        .nav .open > a:focus {
            background-color: $hover-active-background;
            color: $hover-active-color;
        }
        .hamburger-icon {
            span {
                background: $color;
            }
            &:hover span {
                background: $hover-active-color;
            }
        }
    }
}
